package jumpstart.min.business.commons.exception;

import java.io.Serializable;

import jumpstart.min.util.MessageUtil;

@SuppressWarnings("serial")
public class DoesNotExistException extends BusinessException {
	private String _entityLabelMessageId;
	private Serializable _id;

	public DoesNotExistException(Class cls, Serializable id) {

		// Don't convert the message ids to messages yet because we're in the server's locale, not the user's.

		super("DoesNotExistException");
		_entityLabelMessageId = getSimpleName(cls);
		_id = id;
	}

	@Override
	public String getMessage() {
	
		// We deferred converting the message ids to messages until now, when we are more likely to be in the user's locale.
	
		Object[] msgArgs = new Object[] { 
			MessageUtil.toText(_entityLabelMessageId), 
			_id
		};
		
		String msg = MessageUtil.toText(_messageId, msgArgs);
		return msg;
	}

	public String getEntityLabelMessageId() {
		return _entityLabelMessageId;
	}

	public Serializable getId() {
		return _id;
	}
}
