package jumpstart.min.business.domain.security.iface;

import java.util.List;

import jumpstart.min.business.commons.exception.BusinessException;
import jumpstart.min.business.commons.query.SearchOptions;
import jumpstart.min.business.domain.security.User;

/**
 * The <code>ISecurityFinderSvcRemote</code> bean exposes the business methods in the interface.
 *
 * @author  Geoff Callender  JumpStart
 * @version $Revision: 1.29 $, $Date: 2005/08/21 13:04:12 $
 */
public interface ISecurityFinderSvcRemote {
	
	// User
	
	User findUser(Long id) throws BusinessException;

	User findUser(String loginId) throws BusinessException;

	List<User> findUsers();

	List<User> findUsers(UserSearchFields searchFields, SearchOptions searchOptions);
	
	User authenticateUser(String loginId, String password) throws BusinessException;
	
}
