package jumpstart.min.business.domain.security.iface;

import jumpstart.min.business.commons.exception.ServiceException;
import jumpstart.min.business.domain.security.User;

/**
 * The <code>ISecurityManagerSvcRemote</code> bean exposes the business methods in the interface.
 *
 * @author  Geoff Callender  JumpStart
 * @version $Revision: 1.29 $, $Date: 2005/08/21 13:04:12 $
 */
public interface ISecurityManagerSvcRemote {

	/***************************************************************************
	 * BUSINESS METHODS
	 **************************************************************************/

	/**
	 * This method provides a way for users to change their own password.
	 */
	void changeUserPassword(Long id, String currentPassword, String newPassword) throws ServiceException;
	
	/**
	 * This method provides a way for security officers to "reset" the password.
	 */
	void changeUserPassword(Long id, String newPassword) throws ServiceException;

	/***************************************************************************
	 * PERSISTENCE METHODS
	 **************************************************************************/

	// User

	User createUser(User user, String password) throws ServiceException;

	void changeUser(User user) throws ServiceException;
	
	void deleteUser(User user) throws ServiceException;

}
