package jumpstart.min.util;

import java.io.InputStream;
import java.util.Properties;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Insert the type's description here. Creation date: (26/02/01 22:22:21)
 * 
 * @author: Administrator
 */
public class ResourceReader {
	public static final Log LOG = LogFactory.getLog(ResourceReader.class);
	static private ResourceReader _myClass = null;

	private ResourceReader() {
	}

	static public Properties getAsProperties(String resourceName) throws UtilRuntimeException {

		Properties p;

		if (_myClass == null) {
			_myClass = new ResourceReader();
		}

		try {
			// try local
			InputStream resourceStream = _myClass.getClass().getResourceAsStream("/" + resourceName);

			if (resourceStream == null) {
				// try classpath
				resourceStream = _myClass.getClass().getResourceAsStream(resourceName);
			}

			if (resourceStream == null) {
				LOG.error("Could not load properties from resource \"" + resourceName + "\".  Check the classpath.");
				System.err.println("Could not load properties from resource \"" + resourceName + "\".  Check the classpath.");
				throw new UtilRuntimeException("Could not find resource \"" + resourceName + "\".  Check the classpath.");
			}

			p = new Properties();
			p.load(resourceStream);
		}
		catch (Exception e) {
			LOG.error("Could not load properties from resource \"" + resourceName + "\".  Check the classpath.  Exception was " + e);
			System.err.println("Could not load properties from resource \"" + resourceName + "\".  Check the classpath.  Exception was " + e);
			e.printStackTrace();
			throw new UtilRuntimeException("Could not load properties from resource \"" + resourceName + "\".  Check the classpath.", e);
		}

		return p;

	}

}
